<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // experimental feature
      class User {
        #name;
        
        constructor(name) {
          this._name = name;
        }

        getName() {
          return this._name;
        }

        setName(name) {
          if (typeof name === "string") {
            this._name = name;
          }
        }

        #getNamePrivate() {
          return this._name;
        }
      }

      const user = new User("Ira");
      // console.log(user.getName()); // Ira
      // console.log(user.#name); // SyntaxError
      console.log(user._name); // SyntaxError
      // user.setName(45);
    </script>
  </body>
</html>
